// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.15.2
// source: journal-update-api/journalupdate/journal-update.proto

package journalupdate

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type AddEntryRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PersonReference []byte `protobuf:"bytes,1,opt,name=personReference,proto3" json:"personReference,omitempty"`
	EventReference  []byte `protobuf:"bytes,2,opt,name=eventReference,proto3" json:"eventReference,omitempty"`
	EventHash       []byte `protobuf:"bytes,3,opt,name=eventHash,proto3" json:"eventHash,omitempty"`
}

func (x *AddEntryRequest) Reset() {
	*x = AddEntryRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_journal_update_api_journalupdate_journal_update_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AddEntryRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AddEntryRequest) ProtoMessage() {}

func (x *AddEntryRequest) ProtoReflect() protoreflect.Message {
	mi := &file_journal_update_api_journalupdate_journal_update_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AddEntryRequest.ProtoReflect.Descriptor instead.
func (*AddEntryRequest) Descriptor() ([]byte, []int) {
	return file_journal_update_api_journalupdate_journal_update_proto_rawDescGZIP(), []int{0}
}

func (x *AddEntryRequest) GetPersonReference() []byte {
	if x != nil {
		return x.PersonReference
	}
	return nil
}

func (x *AddEntryRequest) GetEventReference() []byte {
	if x != nil {
		return x.EventReference
	}
	return nil
}

func (x *AddEntryRequest) GetEventHash() []byte {
	if x != nil {
		return x.EventHash
	}
	return nil
}

type AddEntryReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	JournalHeight     uint64 `protobuf:"varint,1,opt,name=journalHeight,proto3" json:"journalHeight,omitempty"`
	JournalHeightHash []byte `protobuf:"bytes,2,opt,name=journalHeightHash,proto3" json:"journalHeightHash,omitempty"`
}

func (x *AddEntryReply) Reset() {
	*x = AddEntryReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_journal_update_api_journalupdate_journal_update_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AddEntryReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AddEntryReply) ProtoMessage() {}

func (x *AddEntryReply) ProtoReflect() protoreflect.Message {
	mi := &file_journal_update_api_journalupdate_journal_update_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AddEntryReply.ProtoReflect.Descriptor instead.
func (*AddEntryReply) Descriptor() ([]byte, []int) {
	return file_journal_update_api_journalupdate_journal_update_proto_rawDescGZIP(), []int{1}
}

func (x *AddEntryReply) GetJournalHeight() uint64 {
	if x != nil {
		return x.JournalHeight
	}
	return 0
}

func (x *AddEntryReply) GetJournalHeightHash() []byte {
	if x != nil {
		return x.JournalHeightHash
	}
	return nil
}

var File_journal_update_api_journalupdate_journal_update_proto protoreflect.FileDescriptor

var file_journal_update_api_journalupdate_journal_update_proto_rawDesc = []byte{
	0x0a, 0x35, 0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x2d, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x2d, 0x61, 0x70, 0x69, 0x2f, 0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x75, 0x70, 0x64, 0x61,
	0x74, 0x65, 0x2f, 0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x2d, 0x75, 0x70, 0x64, 0x61, 0x74,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0d, 0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c,
	0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x22, 0x81, 0x01, 0x0a, 0x0f, 0x41, 0x64, 0x64, 0x45, 0x6e,
	0x74, 0x72, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x28, 0x0a, 0x0f, 0x70, 0x65,
	0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0c, 0x52, 0x0f, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x66, 0x65, 0x72,
	0x65, 0x6e, 0x63, 0x65, 0x12, 0x26, 0x0a, 0x0e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x66,
	0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x0e, 0x65, 0x76,
	0x65, 0x6e, 0x74, 0x52, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x12, 0x1c, 0x0a, 0x09,
	0x65, 0x76, 0x65, 0x6e, 0x74, 0x48, 0x61, 0x73, 0x68, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0c, 0x52,
	0x09, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x48, 0x61, 0x73, 0x68, 0x22, 0x63, 0x0a, 0x0d, 0x41, 0x64,
	0x64, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x24, 0x0a, 0x0d, 0x6a,
	0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x48, 0x65, 0x69, 0x67, 0x68, 0x74, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x04, 0x52, 0x0d, 0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x48, 0x65, 0x69, 0x67, 0x68,
	0x74, 0x12, 0x2c, 0x0a, 0x11, 0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x48, 0x65, 0x69, 0x67,
	0x68, 0x74, 0x48, 0x61, 0x73, 0x68, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x11, 0x6a, 0x6f,
	0x75, 0x72, 0x6e, 0x61, 0x6c, 0x48, 0x65, 0x69, 0x67, 0x68, 0x74, 0x48, 0x61, 0x73, 0x68, 0x32,
	0x5b, 0x0a, 0x0d, 0x4a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x12, 0x4a, 0x0a, 0x08, 0x41, 0x64, 0x64, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x1e, 0x2e, 0x6a,
	0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x2e, 0x41, 0x64, 0x64,
	0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1c, 0x2e, 0x6a,
	0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x2e, 0x41, 0x64, 0x64,
	0x45, 0x6e, 0x74, 0x72, 0x79, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x22, 0x00, 0x42, 0x44, 0x5a, 0x42,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f,
	0x6e, 0x67, 0x72, 0x6f, 0x75, 0x6e, 0x64, 0x2f, 0x78, 0x62, 0x72, 0x70, 0x2f, 0x64, 0x65, 0x73,
	0x71, 0x2f, 0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x2d, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x2d, 0x61, 0x70, 0x69, 0x2f, 0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x75, 0x70, 0x64, 0x61,
	0x74, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_journal_update_api_journalupdate_journal_update_proto_rawDescOnce sync.Once
	file_journal_update_api_journalupdate_journal_update_proto_rawDescData = file_journal_update_api_journalupdate_journal_update_proto_rawDesc
)

func file_journal_update_api_journalupdate_journal_update_proto_rawDescGZIP() []byte {
	file_journal_update_api_journalupdate_journal_update_proto_rawDescOnce.Do(func() {
		file_journal_update_api_journalupdate_journal_update_proto_rawDescData = protoimpl.X.CompressGZIP(file_journal_update_api_journalupdate_journal_update_proto_rawDescData)
	})
	return file_journal_update_api_journalupdate_journal_update_proto_rawDescData
}

var file_journal_update_api_journalupdate_journal_update_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_journal_update_api_journalupdate_journal_update_proto_goTypes = []interface{}{
	(*AddEntryRequest)(nil), // 0: journalupdate.AddEntryRequest
	(*AddEntryReply)(nil),   // 1: journalupdate.AddEntryReply
}
var file_journal_update_api_journalupdate_journal_update_proto_depIdxs = []int32{
	0, // 0: journalupdate.JournalUpdate.AddEntry:input_type -> journalupdate.AddEntryRequest
	1, // 1: journalupdate.JournalUpdate.AddEntry:output_type -> journalupdate.AddEntryReply
	1, // [1:2] is the sub-list for method output_type
	0, // [0:1] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_journal_update_api_journalupdate_journal_update_proto_init() }
func file_journal_update_api_journalupdate_journal_update_proto_init() {
	if File_journal_update_api_journalupdate_journal_update_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_journal_update_api_journalupdate_journal_update_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AddEntryRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_journal_update_api_journalupdate_journal_update_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AddEntryReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_journal_update_api_journalupdate_journal_update_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_journal_update_api_journalupdate_journal_update_proto_goTypes,
		DependencyIndexes: file_journal_update_api_journalupdate_journal_update_proto_depIdxs,
		MessageInfos:      file_journal_update_api_journalupdate_journal_update_proto_msgTypes,
	}.Build()
	File_journal_update_api_journalupdate_journal_update_proto = out.File
	file_journal_update_api_journalupdate_journal_update_proto_rawDesc = nil
	file_journal_update_api_journalupdate_journal_update_proto_goTypes = nil
	file_journal_update_api_journalupdate_journal_update_proto_depIdxs = nil
}
